cURL
curl --request POST \
--url https://grid.squads.xyz/api/grid/v1/accounts/{address}/kyc \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"endorsements": [
"<string>"
],
"full_name": "<string>",
"type": "<string>",
"redirect_uri": "<string>"
}
'import requests
url = "https://grid.squads.xyz/api/grid/v1/accounts/{address}/kyc"
payload = {
"email": "<string>",
"endorsements": ["<string>"],
"full_name": "<string>",
"type": "<string>",
"redirect_uri": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
endorsements: ['<string>'],
full_name: '<string>',
type: '<string>',
redirect_uri: '<string>'
})
};
fetch('https://grid.squads.xyz/api/grid/v1/accounts/{address}/kyc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"created_at": "2023-11-07T05:31:56Z",
"customer_id": "<string>",
"email": "<string>",
"full_name": "<string>",
"id": "<string>",
"kyc_link": "<string>",
"kyc_status": "<string>",
"persona_inquiry_type": "<string>",
"tos_link": "<string>",
"tos_status": "<string>",
"type": "<string>",
"rejection_reasons": "<unknown>"
},
"metadata": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}kyc
Post apigridv1accounts kyc
POST
/
api
/
grid
/
v1
/
accounts
/
{address}
/
kyc
cURL
Authorizations
Your Grid API key from the Grid Dashboard
Path Parameters
Smart account address (Solana public key)
Body
application/json
Was this page helpful?
⌘I